Subject: Re: [bitcoin-dev] Significant losses by double-spending unconfirmed transactions

From: Me <[email-masked]>
Date: Wed, 15 Jul 2015 09:41:24 -0700

> It's such a misconception that running many nodes somehow helps. It's much better that you run and control one or a few full nodes which you actually use to validate your transactions, than to run 1000s of nodes in third party datacenters. The latter only looks more decentralized.

I guess we sort of disagree here, perhaps my word “strength” was not the right word. Yes, running 6000 vs 7000 nodes makes no difference for the network strength, but (a) running 50 nodes vs 5000 does make a difference. I would love to see how the number of nodes drop if companies like blockcypher turn off their servers. Obviously it would not go 50. (b) running different clients (if blockcypher runs non-reference-bitcoinD client) makes the network less open wide-spread bugs

I feel we are really derailing the original topic btw  :-)

> On Jul 15, 2015, at 9:11 AM, Pieter Wuille <[email-masked]> wrote:
> 
> On Wed, Jul 15, 2015 at 12:06 PM, Me via bitcoin-dev <[email-masked] <mailto:[email-masked]>> wrote:
> Have you talk to them? If not, how can you be sure they don’t run large number of standard nodes and actually make the network stronger? Personally I never bring claims like this if I just assume. A lot of people in the community really trust you, do you realize you potentially hurt them for no reason?
> 
> Running normal full nodes only provides extra service to nodes synchronizing and lightweight clients. It does not "make the network stronger" in the sense that it does not reduce the trust the participants need to have in each other.
> 
> It's such a misconception that running many nodes somehow helps. It's much better that you run and control one or a few full nodes which you actually use to validate your transactions, than to run 1000s of nodes in third party datacenters. The latter only looks more decentralized.
> 
> -- 
> Pieter
>